Bug 1839733 - ovnnode and ovnmaster requests are too high
Summary: ovnnode and ovnmaster requests are too high
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Vadim Rutkovsky
QA Contact: Anurag saxena
URL:
Whiteboard: OKDBlocker
Depends On:
Blocks: 1843816
TreeView+ depends on / blocked
 
Reported: 2020-05-25 11:48 UTC by Vadim Rutkovsky
Modified: 2020-10-27 16:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1843816 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:00:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 649 0 None closed Bug 1839733: bindata/network/ovn-kubernetes/ovnkube-: update resource requests 2020-06-30 09:49:55 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:00:54 UTC

Description Vadim Rutkovsky 2020-05-25 11:48:34 UTC
ovnnode and ovnmaster currently request 100m in most containers, although CI run analysis shows 10m is sufficient to start. This causes other containers to be rejected as the node can't fit them (e.g. etcd)

Comment 3 zhaozhanqi 2020-06-03 08:11:03 UTC
Verified this bug on 4.5.0-0.nightly-2020-06-03-013823

the current the cpu has been changed to 10m for ovn-master and ovn-node

Comment 7 errata-xmlrpc 2020-10-27 16:00:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.